org.apache.hc.core5.http.config

## Class Http1Config

- java.lang.Object
- - org.apache.hc.core5.http.config.Http1Config

-     @Contract(threading=IMMUTABLE)
      public class Http1Config
      extends Object

  HTTP/1.1 protocol parameters.

  Please note that line length is defined in bytes and not characters. This is only relevant however when using non-standard HTTP charsets for protocol elements such as UTF-8.

  Since:
    4.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Http1Config.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Http1Config` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Http1Config.Builder` | `copy(Http1Config config)`
    `static Http1Config.Builder` | `custom()`
    `int` | `getBufferSize()`
    `int` | `getChunkSizeHint()`
    `int` | `getInitialWindowSize()`
    `int` | `getMaxEmptyLineCount()`
    `int` | `getMaxHeaderCount()`
    `int` | `getMaxLineLength()`
    `HttpVersion` | `getVersion()` The effective protocol level expressed by the minor version of HTTP/1.x.
    `Timeout` | `getWaitForContinueTimeout()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final Http1Config DEFAULT

  - ### Method Detail

    - #### getVersion

          public HttpVersion getVersion()

      The effective protocol level expressed by the minor version of HTTP/1.x.
      Returns:
        The effective protocol level.
      Since:
        5.3

    - #### getBufferSize

          public int getBufferSize()

    - #### getChunkSizeHint

          public int getChunkSizeHint()

    - #### getWaitForContinueTimeout

          public Timeout getWaitForContinueTimeout()

    - #### getMaxLineLength

          public int getMaxLineLength()

    - #### getMaxHeaderCount

          public int getMaxHeaderCount()

    - #### getMaxEmptyLineCount

          public int getMaxEmptyLineCount()

    - #### getInitialWindowSize

          public int getInitialWindowSize()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### custom

          public static Http1Config.Builder custom()

    - #### copy

          public static Http1Config.Builder copy(Http1Config config)

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.